> For the complete documentation index, see [llms.txt](https://docs.jetadmin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jetadmin.io/classic-app-builder/design-and-structure/nested-filters.md).

# Nested Filters

Nested filters enable filtering data from multiple, related collections.

Nested filters allow you to filter data from multiple related collections. For instance, if you have a Contact collection that is linked to a Company collection through the `company_id` field, you can use **Nested filters** to filter your Contacts based on the properties of the related Companies. This means you can filter the Contact collection by company's properties like company size, status, and so on. With nested filters, you have the flexibility to dig deep and filter through unlimited levels of related collections.

{% embed url="<https://www.youtube.com/watch?v=GBviXPUJT24&ab_channel=JetAdmin>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.jetadmin.io/classic-app-builder/design-and-structure/nested-filters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
